// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdIosSdk",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdIosSdk", targets: ["WebIdIosSdkWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        
    ],
    targets: [
        .binaryTarget(
            name: "WebIdIosSdk",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/internal/de/webid-solutions/WebIdIosSdk/12.0.0/WebIdIosSdk.framework-v12.0.0.zip",
            checksum: "1fa92f4a3adafa4aa9d564aef21bb0ff549e36125f5dae5cf84ec0172ce0d3b9"
        ),
        .target(
            name: "WebIdIosSdkWrapper",
            dependencies: [
                .target(name: "WebIdIosSdk"),
                // [target dependecies here]
                
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
